## imdb-tools 0.9

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 MANPREFIX?=$(PREFIX)/share/man
 DOCPREFIX?=$(PREFIX)/share/doc/imdb-tools
 
-VERSION=0.5
+VERSION=$(shell sed -n '1s/Version \(.*\):/\1/p' changelog)
 
 all: man bin
