=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir
	
	# Add here commands to compile the package.
	$(MAKE) PREFIX=/usr bin man
	
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	
	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	
	# Add here commands to install the package into debian/imdb-tools.
	$(MAKE) DESTDIR=$(CURDIR)/debian/imdb-tools PREFIX=/usr install
	# installed by upstream, not needed in Debian
	rm -f $(CURDIR)/debian/imdb-tools/usr/share/doc/imdb-tools/COPYING
	rm -f $(CURDIR)/debian/imdb-tools/usr/share/doc/imdb-tools/INSTALL


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
